
;; Unconditoinal non-1-to-1 case mappings derived from Unicode data
;; file SpecialCasing.txt.

(define special-cases
  ;; <code> <lower> <title> <upper>
  #(#(223 "ß" "Ss" "SS")
    #(304 "i̇" "İ" "İ")
    #(329 "ŉ" "ʼN" "ʼN")
    #(496 "ǰ" "J̌" "J̌")
    #(912 "ΐ" "Ϊ́" "Ϊ́")
    #(944 "ΰ" "Ϋ́" "Ϋ́")
    #(1415 "և" "Եւ" "ԵՒ")
    #(7830 "ẖ" "H̱" "H̱")
    #(7831 "ẗ" "T̈" "T̈")
    #(7832 "ẘ" "W̊" "W̊")
    #(7833 "ẙ" "Y̊" "Y̊")
    #(7834 "ẚ" "Aʾ" "Aʾ")
    #(8016 "ὐ" "Υ̓" "Υ̓")
    #(8018 "ὒ" "Υ̓̀" "Υ̓̀")
    #(8020 "ὔ" "Υ̓́" "Υ̓́")
    #(8022 "ὖ" "Υ̓͂" "Υ̓͂")
    #(8064 "ᾀ" "ᾈ" "ἈΙ")
    #(8065 "ᾁ" "ᾉ" "ἉΙ")
    #(8066 "ᾂ" "ᾊ" "ἊΙ")
    #(8067 "ᾃ" "ᾋ" "ἋΙ")
    #(8068 "ᾄ" "ᾌ" "ἌΙ")
    #(8069 "ᾅ" "ᾍ" "ἍΙ")
    #(8070 "ᾆ" "ᾎ" "ἎΙ")
    #(8071 "ᾇ" "ᾏ" "ἏΙ")
    #(8072 "ᾀ" "ᾈ" "ἈΙ")
    #(8073 "ᾁ" "ᾉ" "ἉΙ")
    #(8074 "ᾂ" "ᾊ" "ἊΙ")
    #(8075 "ᾃ" "ᾋ" "ἋΙ")
    #(8076 "ᾄ" "ᾌ" "ἌΙ")
    #(8077 "ᾅ" "ᾍ" "ἍΙ")
    #(8078 "ᾆ" "ᾎ" "ἎΙ")
    #(8079 "ᾇ" "ᾏ" "ἏΙ")
    #(8080 "ᾐ" "ᾘ" "ἨΙ")
    #(8081 "ᾑ" "ᾙ" "ἩΙ")
    #(8082 "ᾒ" "ᾚ" "ἪΙ")
    #(8083 "ᾓ" "ᾛ" "ἫΙ")
    #(8084 "ᾔ" "ᾜ" "ἬΙ")
    #(8085 "ᾕ" "ᾝ" "ἭΙ")
    #(8086 "ᾖ" "ᾞ" "ἮΙ")
    #(8087 "ᾗ" "ᾟ" "ἯΙ")
    #(8088 "ᾐ" "ᾘ" "ἨΙ")
    #(8089 "ᾑ" "ᾙ" "ἩΙ")
    #(8090 "ᾒ" "ᾚ" "ἪΙ")
    #(8091 "ᾓ" "ᾛ" "ἫΙ")
    #(8092 "ᾔ" "ᾜ" "ἬΙ")
    #(8093 "ᾕ" "ᾝ" "ἭΙ")
    #(8094 "ᾖ" "ᾞ" "ἮΙ")
    #(8095 "ᾗ" "ᾟ" "ἯΙ")
    #(8096 "ᾠ" "ᾨ" "ὨΙ")
    #(8097 "ᾡ" "ᾩ" "ὩΙ")
    #(8098 "ᾢ" "ᾪ" "ὪΙ")
    #(8099 "ᾣ" "ᾫ" "ὫΙ")
    #(8100 "ᾤ" "ᾬ" "ὬΙ")
    #(8101 "ᾥ" "ᾭ" "ὭΙ")
    #(8102 "ᾦ" "ᾮ" "ὮΙ")
    #(8103 "ᾧ" "ᾯ" "ὯΙ")
    #(8104 "ᾠ" "ᾨ" "ὨΙ")
    #(8105 "ᾡ" "ᾩ" "ὩΙ")
    #(8106 "ᾢ" "ᾪ" "ὪΙ")
    #(8107 "ᾣ" "ᾫ" "ὫΙ")
    #(8108 "ᾤ" "ᾬ" "ὬΙ")
    #(8109 "ᾥ" "ᾭ" "ὭΙ")
    #(8110 "ᾦ" "ᾮ" "ὮΙ")
    #(8111 "ᾧ" "ᾯ" "ὯΙ")
    #(8114 "ᾲ" "Ὰͅ" "ᾺΙ")
    #(8115 "ᾳ" "ᾼ" "ΑΙ")
    #(8116 "ᾴ" "Άͅ" "ΆΙ")
    #(8118 "ᾶ" "Α͂" "Α͂")
    #(8119 "ᾷ" "ᾼ͂" "Α͂Ι")
    #(8124 "ᾳ" "ᾼ" "ΑΙ")
    #(8130 "ῂ" "Ὴͅ" "ῊΙ")
    #(8131 "ῃ" "ῌ" "ΗΙ")
    #(8132 "ῄ" "Ήͅ" "ΉΙ")
    #(8134 "ῆ" "Η͂" "Η͂")
    #(8135 "ῇ" "ῌ͂" "Η͂Ι")
    #(8140 "ῃ" "ῌ" "ΗΙ")
    #(8146 "ῒ" "Ϊ̀" "Ϊ̀")
    #(8147 "ΐ" "Ϊ́" "Ϊ́")
    #(8150 "ῖ" "Ι͂" "Ι͂")
    #(8151 "ῗ" "Ϊ͂" "Ϊ͂")
    #(8162 "ῢ" "Ϋ̀" "Ϋ̀")
    #(8163 "ΰ" "Ϋ́" "Ϋ́")
    #(8164 "ῤ" "Ρ̓" "Ρ̓")
    #(8166 "ῦ" "Υ͂" "Υ͂")
    #(8167 "ῧ" "Ϋ͂" "Ϋ͂")
    #(8178 "ῲ" "Ὼͅ" "ῺΙ")
    #(8179 "ῳ" "ῼ" "ΩΙ")
    #(8180 "ῴ" "Ώͅ" "ΏΙ")
    #(8182 "ῶ" "Ω͂" "Ω͂")
    #(8183 "ῷ" "ῼ͂" "Ω͂Ι")
    #(8188 "ῳ" "ῼ" "ΩΙ")
    #(64256 "ﬀ" "Ff" "FF")
    #(64257 "ﬁ" "Fi" "FI")
    #(64258 "ﬂ" "Fl" "FL")
    #(64259 "ﬃ" "Ffi" "FFI")
    #(64260 "ﬄ" "Ffl" "FFL")
    #(64261 "ﬅ" "St" "ST")
    #(64262 "ﬆ" "St" "ST")
    #(64275 "ﬓ" "Մն" "ՄՆ")
    #(64276 "ﬔ" "Մե" "ՄԵ")
    #(64277 "ﬕ" "Մի" "ՄԻ")
    #(64278 "ﬖ" "Վն" "ՎՆ")
    #(64279 "ﬗ" "Մխ" "ՄԽ")))
